# $Revision: 1.21 $, $Date: 2012/05/25 13:09:20 $
Summary:	AMD: Approximate Minimum Degree
Summary(pl.UTF-8):	AMD - przybliżony algorytm minimalnego stopnia
Name:		AMD
Version:	2.2.4
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.cise.ufl.edu/research/sparse/amd/%{name}-%{version}.tar.gz
# Source0-md5:	31943ff81859eb42d695d8a34d5b4201
Patch0:		amd-ufconfig.patch
Patch1:		amd-shared.patch
URL:		http://www.cise.ufl.edu/research/sparse/amd/
BuildRequires:	UFconfig >= 3.7.0
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AMD is a set of routines for ordering a sparse matrix prior to
Cholesky factorization (or for LU factorization with diagonal
pivoting). There are versions in both C and Fortran. A MATLAB
interface is provided. Note that this software has nothing to do with
AMD the company.

%description -l pl.UTF-8
AMD to zbiór procedur do porządkowania macierzy rzadkich przed
rozkładem Cholesky'ego (lub do rozkładu LU z obrotami diagonalnymi).
Istnieją wersje zarówno w C, jak i Fortranie. Dostępny jest interfejs
do MATLAB-a. Uwaga: to oprogramowanie nie ma nic wspólnego z firmą
AMD.

%package devel
Summary:	Header files for AMD library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki AMD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	UFconfig >= 3.7.0

%description devel
Header files for AMD library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki AMD.

%package static
Summary:	Static AMD library
Summary(pl.UTF-8):	Statyczna biblioteka AMD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static AMD library.

%description static -l pl.UTF-8
Statyczna biblioteka AMD.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/amd

%{__make} -C Lib install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

install Include/*.h $RPM_BUILD_ROOT%{_includedir}/amd

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt Doc/{ChangeLog,License}
%attr(755,root,root) %{_libdir}/libamd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libamd.so.0

%files devel
%defattr(644,root,root,755)
%doc Doc/AMD_UserGuide.pdf
%attr(755,root,root) %{_libdir}/libamd.so
%{_libdir}/libamd.la
%{_includedir}/amd

%files static
%defattr(644,root,root,755)
%{_libdir}/libamd.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: AMD.spec,v $
Revision 1.21  2012/05/25 13:09:20  qboosh
- updated to AMD

Revision 1.20  2012/01/06 10:46:29  qboosh
- don't package header backups (like amd.h.orig)
- release 2

Revision 1.19  2012/01/01 12:42:29  qboosh
- BR: UFconfig >= 3.7.0 (for CF definition)

Revision 1.18  2012/01/01 12:41:09  qboosh
- updated to 2.2.3
- updated ufconfig,shared patches

Revision 1.17  2011/01/27 18:42:33  qboosh
- updated to 2.2.2

Revision 1.16  2010/10/13 07:00:03  qboosh
- updated to 2.2.1
- updated shared patch

Revision 1.15  2008/01/04 22:49:21  qboosh
- fixed shared patch, -fPIC hack no longer needed
- fortran library is not built/packaged by default

Revision 1.14  2007-12-26 12:30:38  qboosh
- more docs

Revision 1.13  2007-12-26 03:25:34  qboosh
- better summaries

Revision 1.12  2007-12-26 03:18:00  qboosh
- typo

Revision 1.11  2007-12-26 03:15:07  qboosh
- ghost soname symlink
- LGPL v2.1+

Revision 1.10  2007-12-26 03:00:11  qboosh
- pl (not sure about "diagonal pivoting")
- BR: gcc-fortran

Revision 1.9  2007-12-07 23:57:05  ankry
- formatting

Revision 1.8  2007-12-07 17:21:03  baggins
- rel 3

Revision 1.7  2007-12-07 16:56:38  baggins
- consistent library name in summary/description

Revision 1.6  2007-12-07 16:49:06  baggins
- use private include dir

Revision 1.5  2007-12-07 16:42:49  baggins
- use rpmldflags

Revision 1.4  2007-12-07 00:56:15  baggins
- rel 2
- install all header files (reqd by UMFPACK)

Revision 1.3  2007-12-07 00:51:11  baggins
- proper summary

Revision 1.2  2007-12-07 00:47:32  baggins
- renamed to AMD

Revision 1.1  2007-12-02 18:15:48  baggins
- new
